summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh48
1 files changed, 44 insertions, 4 deletions
diff --git a/autogen.sh b/autogen.sh
index d389e09..df5b3d7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,7 +1,47 @@
#!/bin/sh
+echo -n 'Running libtoolize... '
+if [ `uname -s` = Darwin ]
+then
+ LIBTOOLIZE=glibtoolize
+else
+ LIBTOOLIZE=libtoolize
+fi
-aclocal
-autoconf
-automake --add-missing --copy
-automake
+if $LIBTOOLIZE --force; then
+ echo 'done.'
+else
+ echo 'failed.'
+ exit 1
+fi
+echo -n 'Running aclocal... '
+if aclocal; then
+ echo 'done.'
+else
+ echo 'failed.'
+ exit 1
+fi
+
+echo -n 'Running autoheader... '
+if autoheader; then
+ echo 'done.'
+else
+ echo 'failed.'
+ exit 1
+fi
+
+echo -n 'Running automake... '
+if automake --add-missing; then
+ echo 'done.'
+else
+ echo 'failed.'
+ exit 1
+fi
+
+echo -n 'Running autoconf... '
+if autoconf; then
+ echo 'done.'
+else
+ echo 'failed.'
+ exit 1
+fi